Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.report.writers
Class DefaultPageSummary

    java.lang.Object
      org.apache.jmeter.report.writers.DefaultPageSummary

All Implemented Interfaces:
  Cloneable, PageSummary

public class DefaultPageSummary
extends Object
implements PageSummary

This is a basic implementation of PageSummary interface.

Constructor Summary
`DefaultPageSummary()`

Method Summary
`long` | `getElapsedTime()` Returns the elapsed time in milliseconds
`long` | `getEndTimeStamp()`
`String` | `getFileName()`
`String` | `getPageTitle()`
`long` | `getStartTimeStamp()`
`boolean` | `isSuccessful()`
`void` | `pageEnded()`
`void` | `pageStarted()`
`void` | `setFileName(String file)`
`void` | `setPageTitle(String title)`
`void` | `setSuccessful(boolean success)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPageSummary

    public DefaultPageSummary()

Method Detail

### getElapsedTime

    public long getElapsedTime()

  Returns the elapsed time in milliseconds

  Specified by:
    `getElapsedTime` in interface `PageSummary`

### getEndTimeStamp

    public long getEndTimeStamp()

  Specified by:
    `getEndTimeStamp` in interface `PageSummary`

### getFileName

    public String getFileName()

  Specified by:
    `getFileName` in interface `PageSummary`

### getPageTitle

    public String getPageTitle()

  Specified by:
    `getPageTitle` in interface `PageSummary`

### getStartTimeStamp

    public long getStartTimeStamp()

  Specified by:
    `getStartTimeStamp` in interface `PageSummary`

### isSuccessful

    public boolean isSuccessful()

  Specified by:
    `isSuccessful` in interface `PageSummary`

### pageStarted

    public void pageStarted()

  Specified by:
    `pageStarted` in interface `PageSummary`

### pageEnded

    public void pageEnded()

  Specified by:
    `pageEnded` in interface `PageSummary`

### setFileName

    public void setFileName(String file)

  Specified by:
    `setFileName` in interface `PageSummary`

### setPageTitle

    public void setPageTitle(String title)

  Specified by:
    `setPageTitle` in interface `PageSummary`

### setSuccessful

    public void setSuccessful(boolean success)

  Specified by:
    `setSuccessful` in interface `PageSummary`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.